events {

}
http {
    upstream frontend {
        ip_hash;
        server 2_balance_front_1:80;
        server 2_balance_front_2:80;
        server 2_balance_front_3:80;
    }
    upstream backend {
        server 2_balance_front_1:8080;
        server 2_balance_front_2:8080;
        server 2_balance_front_3:8080;
    }

    server {
        listen 80;
        server_name localhost;
        error_log /dev/stdout debug;
        access_log /dev/stdout;
        location / {
            proxy_pass http://frontend;
        }
        location /api/ {
            rewrite ^/api/(.*) /$1 break;
            proxy_set_header Host $host;
            proxy_set_header X-Forwarded-For $remote_addr;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_pass http://backend;
        }
    }
}
stream {
    log_format log_stream '$remote_addr - [$time_local] $protocol $status $bytes_sent $bytes_received $session_time "$upstream_addr"';
    access_log /dev/stdout log_stream;

    upstream db_read {
        server db-master:3306;
        server db-slave:3306;
    }

    server {
        listen 3306;
        proxy_pass db_read;
        proxy_connect_timeout 1s;
        error_log /dev/stdout;
    }
        upstream db_write {
        server db-master:33060;
        server db-slave:33060;
    }

    server {
        listen 33060;
        proxy_pass db_write;
        proxy_connect_timeout 1s;
        error_log /dev/stdout;
    }
}